org.gcube.dataanalysis.dataminer.poolmanager.util

## Class PropertiesBasedProxySelector

- java.lang.Object
- - java.net.ProxySelector
  - - org.gcube.dataanalysis.dataminer.poolmanager.util.PropertiesBasedProxySelector

    public class PropertiesBasedProxySelector
    extends ProxySelector

### Constructor Summary

Constructors
Constructor and Description
`PropertiesBasedProxySelector(org.gcube.dataanalysis.dataminer.poolmanager.util.NetworkConfiguration config)`
`PropertiesBasedProxySelector(String proxySettingsPath)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `connectFailed(URI uri, SocketAddress socketAddress, IOException e)`
`List<Proxy>` `select(URI uri)`

### Methods inherited from class java.net.ProxySelector

`getDefault, setDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertiesBasedProxySelector

    public PropertiesBasedProxySelector(String proxySettingsPath)

#### PropertiesBasedProxySelector

    public PropertiesBasedProxySelector(org.gcube.dataanalysis.dataminer.poolmanager.util.NetworkConfiguration config)

### Method Detail

#### select

    public List<Proxy> select(URI uri)

Specified by:
  `select` in class `ProxySelector`

#### connectFailed

    public void connectFailed(URI uri,
                              SocketAddress socketAddress,
                              IOException e)

Specified by:
  `connectFailed` in class `ProxySelector`